### Method

# FwupdPlugin UsbDevice release_interface

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_usb_device_release_interface (
      FuUsbDevice* self,
      guint8 iface,
      FuUsbDeviceClaimFlags flags,
      GError** error
    )

#### Description [src]

Release an interface of the device.

Available since: 2.0.0

#### Parameters

`iface`

  Type: `guint8`

  BInterfaceNumber of the interface you wish to release.

`flags`

  Type: `FuUsbDeviceClaimFlags`

  `FuUsbDeviceClaimFlags`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.